body {
    background: rgba(12, 100, 129, 1) url('https://images.cnblogs.com/cnblogs_com/-zzc/1833744/o_200823142422o_fr.jpg') fixed no-repeat;
    background-position: 50% 5%;
    background-size: cover;
}

#home {
    margin: 0 auto;
    width: 80%;/*原始65*/
    background-color: rgba(245, 245, 245, 0.7);
    padding: 30px;
    margin-top: 50px;
    margin-bottom: 50px;
    box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}

#navigator {
    background-color: #526e7d;
    height: 60px;
    clear: both;
    margin-top: 30px;
    position: relative;
}
#blogTitle h1 a, #blogTitle h2 {
    color: #547788;
    font-family: 'PingFang SC','Helvetica Neue','Helvetica','Arial','Microsoft Yahei',sans-serif;
    text-shadow: 3px 3px 3px #fff;
}
#main {
   min-width:auto;
    width: 100%;
    margin: 20px auto 0;
    clear: both;
    display: flex;
    justify-content: space-between;
   background:#eaeef1;
}

/*左侧*/
#mainContent {
    background: #eaeef1;
    text-overflow: ellipsis;
    overflow: hidden;
    word-break: break-all;
    flex:3;
    padding-top:0px;
}
/*每篇博客*/
.day,.entrylistItem{
    width: auto;
    min-height: 10px;
    _height: 10px;
    background: #fff;
    border-radius: 7px;
    box-shadow: 1px 1px 2px #a7a8ad;
    color: #666;
    margin:10px 15px;
    padding: 10px  10px;
}
/*博客中时间*/
.dayTitle{
    width: 100%;
    color: #666;
    line-height: 2.2em;
    font-size: 22px;
    clear: both;
    border-bottom: 1px solid #ccc;
    text-align: center;
}
/*博客标题*/
.postTitle,.entrylistPosttitle{
    font-size: 110%;
    font-weight: bold;
    border-bottom: 1px dashed #ccc;
   /* float: right;*/
    line-height: 2.5em;
    font-size: 18px;
    width: 100%;
    clear: both;
    padding: 0px 0px;
    border-left:0;
}
.entrylistPostSummary {
    margin-top: 5px;
    margin-bottom: 5px;
    margin-left: 0px;
}
/*标题颜色*/
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    color: #526e7d;
}
/*内容页*/
#topics {
    min-height: 200px;
    margin: 10px 15px;
    padding: 15px;
    text-overflow: ellipsis;
    overflow: hidden;
    word-break: break-all;
    background: #fff;
    border-radius: 7px;
    box-shadow: 1px 1px 2px #a7a8ad;
}
/*右侧*/
#sideBar {
    padding: 0px 0px;
    text-overflow: ellipsis;
    /*overflow: visible;*/
    word-break: break-all;
    background: #eaeef1;
   flex:1;
   margin:0px 0px;
}

@media only screen and (max-width: 767px){
    #main{
      flex-wrap:wrap;
}
   #mainContent,
   #sideBar{
   flex:1 0 100%;
}
    #mainContent{
   padding-right:0px;
}
}

#sideBarMain {
    margin: 0px 0px;
}
.entrylist {
    margin-left: 0em;
    margin-right: 0px;
}
/*右侧公告*/
.newsItem {
    padding: 0px 0px;
    margin-bottom: 2em;
    background-color: #f7fbfd;
    border-radius: 7px;
}

.newsItem  .catListTitle {
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    text-align:center;
    margin: 10px 0px;
    font-size: 18px;
    padding: 10px 20px;
    background-color:#4c839e;
    color: #fff;
    font-weight: normal;
    border: 1px solid #526e7d;
}



/*公告栏内容*/
#profile_block{
    padding: 20px 0px;
    color: #7e8c8d;
    font-size: 13px;
    line-height: 1.8;
    margin-top: 0 !important;
}
/*公告栏a标签*/
#profile_block a {
    color: #9fa4a4;
    text-decoration: none;
    font-size: 13px;
}

/* 日历 */
#blog-calendar, #blogCalendar{
    width: 100%;
    border-radius:7px;
    background-color: #f7fbfd;
}

#blog-calendar td {
    padding: 5px 5px;
    font-size: 15px;
}

#blog-calendartd a {
    font-weight: bold;
    color: #59a020;
}

#blog-calendar table a:hover {
    color: #59a020;
    text-decoration: underline;
    background: transparent;
}

#blog-calendar table u {
    text-decoration: none;
}

/*日历结束*/

#leftcontentcontainer {
    margin-top: 20px;
}

/*日历下的的标题*/
.catListEssay h3, .catListLink h3, .catListNoteBook h3, .catListTag h3, .catListPostCategory h3, .catListPostArchive h3, .catListArticleArchive h3, .catListImageCategory h3, .mySearch h3, .catListComment h3, .catListView h3, .catListFeedback h3, #blog-sidecolumn .catListTitle {
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    text-align: center;
    margin: 0px 0px;
    font-size: 18px;
    padding: 10px 20px;
    background-color: #4c839e;
    color: #fff;
    font-weight: normal;
    border: 1px solid #526e7d;
}

/*侧边搜索框*/
.div_my_zzk {
    margin-top: 5px;
    margin-bottom: 5px;
}

/*搜索框结束*/

/*搜索框下面的ul li*/
.catListEssay ul li, .catListLink ul li, .catListNoteBook ul li, .catListTag ul li, .catListPostCategory ul li, .catListPostArchive ul li, .catListImageCategory ul li, .catListArticleArchive ul li, .catListView ul li, .catListFeedback ul li, .catListComment ul li, .catListBlogRank ul li, .catList ul li, .catListArticleCategory ul li {
    text-indent: 1em;
    padding: 10px 5px;
    border-bottom: 1px solid #dadfe1;
    border-top: 1px solid #fff;
    overflow: hidden;
}


/*h标签样式*/
#cnblogs_post_body {
    color: black;
    font: 0.875em/1.5em "微软雅黑", "PTSans", "Arial", sans-serif;
    font-size: 15px;
}

#cnblogs_post_body h1 {
    line-height:1.5em;
    font-size: 26px;
    margin:10px 0px;
     padding:0px 10px;
     background-color:#f5f5f5;
     border-left:5px solid #526e7d;
}

#cnblogs_post_body h2 {
    line-height: 1.5em;
    margin: 10px 0px;
}

/*#cnblogs_post_body h3 {
    background: #adbbc3;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "微软雅黑", "宋体", "黑体", Arial;
    font-size: 18px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}

#cnblogs_post_body h4 {
    background: #2B6600;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "微软雅黑", "宋体", "黑体", Arial;
    font-size: 16px;
    font-weight: bold;
    height: 24px;
    line-height: 23px;
    margin: 12px 0 !important;
    padding: 5px 0 5px 10px;
    text-shadow: 2px 2px 3px #222222;
}*/
#页面中a标签鼠标位置

#页面中标题位置
#cnblogs_post_body h1{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h1:hover{
   color: rgb(255, 102, 0);
}

#cnblogs_post_body h2{
   color: rgb(76, 131, 158);
}

#cnblogs_post_body h2:a{
   color: rgb(235, 235, 235);
}
#cnblogs_post_body h2 a:hover{
   color: rgb(255, 102, 0);
}

#cnblogs_post_body h2:hover{
   color: rgb(255, 102, 0);
}
#cnblogs_post_body h3{
   color: rgb(128 128 128);
}
#cnblogs_post_body h3:hover{
   color: rgb(255, 102, 0);
}
#cnblogs_post_body h4{
   color: rgb(76, 131, 158);
}
#cnblogs_post_body h4:hover{
   color: rgb(255, 102, 0);
}